strip(1)

NOMBRE
strip - Quita símbolos de ficheros objeto.

SINOPSIS

strip
    [-F nombrebfd | --target=nombrebfd] [-I nombrebfd | --input-target=nombrebfd] [-O nombrebfd | --output-target=nombrebfd] [-R nombresección | --remove-section=nombresección] [-s | --strip-all] [-S | -g | --strip-debug] [--strip-unneeded] [-x | --discard-all] [-X | --discard-locals] [-K nombresímbolo | --keep-symbol=nombresímbolo] [-N nombresímbolo | --strip-symbol=nombresímbolo] [-o ficheroR] [-p | --preserve-dates] [-v | --verbose] [-V | --version] [-v | --help] fichobj ...

DESCRIPCIÓN
El programa strip de GNU quita todos los símbolos de los ficheros objeto fichobj. La lista de ficheros objeto pude incluir archivos. Por lo menos hay que dar un fichero objeto.

strip modifica los ficheros nombrados en su lista de argumentos, en vez de escribir copias modificadas con nombres diferentes.

OPCIONES

-F nombrebfd

--target=nombrebfd
    Trata al fichobj original como un fichero con el formato de código objeto nombrebfd, y lo reescribe en el mismo formato.

--help
    Muestra un sumario de las opciones de strip y acaba.

-I nombrebfd

--input-target=nombrebfd
    Trata al fichobj original como un fichero con el formato de código objeto nombrebfd.

-O nombrebfd

--output-target=nombrebfd
    Reemplaza fichobj por un fichero en el formato de salida nombrebfd.

-R nombresección

--remove-section=nombresección
    Quita del fichero la sección nombrada. Esta opción se puede dar más de una vez. Observe que el empleo inapropiado de esta opción puede acabar en un fichero objeto inutilizado.

-s

--strip-all
    Quita todos los símbolos.

-S

-g

--strip-debug
    Quita solamente los símbolos de depuración.

--strip-unneeded
    Quita todos los símbolos que no se necesiten para el procesamiento de reubicación.

-N nombresímbolo

--strip-symbol=nombresímbolo
    Quita el símbolo nombresímbolo del fichero fuente. Esta opción puede darse más de una vez, y combinarse con otras.

-o fichero
    Pone la salida en fichero, en vez de reemplazar el fichero original. Cuando se emplea esta opción, sólo se puede especificar un fichobj.

-p

--preserve-dates
    Preserva las fechas de acceso y modificación del fichero.

-x

--discard-all
    Quita los símbolos no globales.

-X

--discard-locals
    Quita símbolos locales generados por el compilador. (Éstos empiezan usualmente con ``L'' o ``.''.)

-K nombresímbolo, --keep-symbol=nombresímbolo
    Copia solamente el símbolo nombresímbolo del fichero fuente. Esta opción se puede dar más de una vez.

-N nombresímbolo, --strip-symbol=nombresímbolo
    No copia el símbolo nombresímbolo del fichero fuente. Esta opción se puede dar más de una vez, y puede combinarse con otras opciones salvo con -K.

-v

--verbose
    Salida prolija: lista todos los ficheros objeto modificados. En el caso de archivos, strip -V lista todos los miembros del archivo.

-V

--version
    Muestra el número de versión de strip y acaba.

VÉASE TAMBIÉN
La entrada de menú `binutils' en Info; Las Utilidades de Binarios de GNU, Roland H. Pesch (Octubre de 1991).

DERECHOS DE COPIA
Copyright (c) 1991 Free Software Foundation, Inc.

Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

Permission is granted to copy and distribute modified versions of this manual under the conditions for verbatim copying, provided that the entire resulting derived work is distributed under the terms of a permission notice identical to this one.

Permission is granted to copy and distribute translations of this manual into another language, under the above conditions for modified versions, except that this permission notice may be included in translations approved by the Free Software Foundation instead of in the original English.

N. del T.: Sólo tiene validez legal el aviso de copyright original.